## postgresql-common 134~pgapt40+1

=== debian/changelog ===
postgresql-common (134~pgapt40+1) etch-pgapt; urgency=low

  * Rebuild for etch-pgapt.
  * Remove Breaks from control file.
  * Building on *squeeze* because of problems with dh_gencontrol.

 -- Christoph Berg <myon@debian.org>  Fri, 27 Jul 2012 18:45:53 +0200

postgresql-common (134) unstable; urgency=low

  * debian/backport-ppa: Fix syntax error.
  * PgCommon.pm: Drop unconditional import of Socket::IN6ADDR_ANY and only do
    the IPv6 check if it is available. This keeps this version backwards
    compatible with Debian/Ubuntu releases with older Perl versions.

 -- Martin Pitt <mpitt@debian.org>  Thu, 26 Jul 2012 21:29:48 +0200

postgresql-common (133) unstable; urgency=low

  [ Christoph Berg ]
  * Add .bzrignore file.
  * PgCommon.pm: Check IPv4 and IPv6 in next_free_port(). (Closes: #678858)

  [ Peter Eisentraut ]
  * debian/control: Add myself to Uploaders.
  * debian/postgresql-common.lintian-overrides: Remove unused
    binary-without-manpage overrides (files were moved to
    postgresql-client-common package).
  * debian/rules: Catch errors in for loops.
  * pg_wrapper: Avoid Perl warnings if psql is linked against libreadline
    instead of libedit, even though that is not standard anymore.
  * testsuite: Reset core limit for pg_ctl tests.
  * testsuite: Allow running individual tests by passing them on the
    command line.

  [ Martin Pitt ]
  * pg_ctlcluster: Do not remove the PID file after SIGKILLing the
    postmaster in the "last-ditch effort to shut down" in --force mode. This
    is a potentially dangerous thing to do when trying to start a second
    postmaster in parallel while the first one is still being shut down.
    (see http://archives.postgresql.org/pgsql-general/2012-07/msg00475.php)

 -- Martin Pitt <mpitt@debian.org>  Thu, 26 Jul 2012 13:20:10 +0200

postgresql-common (132) unstable; urgency=low

  [ Martin Pitt ]
  * debian/control: Add XS-Testsuite: header, as per current DEP-8.
  * debian/tests/control: Drop undefined "no-build-needed" feature.

  [ Christoph Berg ]
  * Recognize "online,recovery" clusters in init script. (Closes: #678936)
    Spotted by Gilbert Roulot.

 -- Christoph Berg <myon@debian.org>  Sat, 30 Jun 2012 21:31:49 +0200

postgresql-common (131) unstable; urgency=low

  [ Martin Pitt ]
  * debian/backport-ppa: Adjust for lucid, build -9.2 for oneiric as well.
  * debian/control: Move bzr branches to alioth, so that other members of
    pkg-postgresql can commit. Update Vcs-* tags.
  * debian/control: Set Maintainer: to pkg-postgresql group, and move myself
    to Uploaders:.
  * debian/README.Devel: Update for moved packaging branches.
  * debian/backport-ppa: Disable dpkg 1.16.2 build dependency for natty as
    well.
  * debian/tests/control: Drop "breaks-computer" restriction. While DEP-8
    mentions it, autopkgtest does not understand it yet and skips the test.
  * debian/tests/system: Run testsuite under en_US.UTF-8, as autopkgtests sets
    it to C by default.
  * t/180_ecpg.t: Ensure that test.pgc is readable for nobody.
  * debian/tests/system: Run the packaged tests instead of the ones in the
    local build tree.
  * debian/tests/system: Unset $TMPDIR so that 'postgres' and 'nobody' do not
    fall over the autopkgtest provided $TMPDIR which is not world writable.
  * t/030_errors.t: Fix nonzero exit code which caused stderr output.

  [ Christoph Berg ]
  * pg_buildext: Also set DESTDIR and VPATH for the configure, build and clean
    targets.
  * Add myself to Uploaders.

 -- Martin Pitt <mpitt@debian.org>  Tue, 19 Jun 2012 19:26:12 +0200

postgresql-common (130) unstable; urgency=low

  [ Christoph Berg ]
  * pg_ctlcluster: Add 'promote' action.
  * pg_updatedicts: Fix a typo.
  * pg_lsclusters, PgCommon.pm: Show "recovery" in status column.
  * pg_createcluster: Fix a doc typo.

  [ Martin Pitt ]
  * Add support for 9.2:
    - pg_createcluster: Add 9.2 configuration method.
    - t/060_obsolete_confparams.t: Add full configuration for 9.1 to test the
      configuration update to 9.2.
    - pg_upgradecluster: On upgrades to 9.2, deprecate the 'wal_sender_delay',
      'silent_mode', and 'custom_variable_classes' postgresql.conf options, as
      they do not exist any more.
    - pg_upgradecluster: In the tablespace test, don't query the "spclocation"
      column, which does not exist any more in 9.2. Just check whether we have
      any table space other than the two default ones.
    - t/050_encodings.t: Adjust expected "invalid UTF-8" error to also match
      the 9.2 format.
    - t/170_extensions.t: Adjust the "hstore" exfail to only apply to 9.1.
      9.2's version works without a warning.
  * debian/backport-ppa: Update Ubuntu releases.

 -- Martin Pitt <mpitt@debian.org>  Tue, 15 May 2012 13:44:17 +0200
