=== debian/rules ===
#!/usr/bin/make -f

POD2MAN=pod2man --center "Debian PostgreSQL infrastructure" -r "Debian"
POD1PROGS=pg_wrapper pg_lsclusters
POD1PROGS_POD=pg_buildext
POD8PROGS=pg_ctlcluster pg_createcluster pg_dropcluster pg_upgradecluster pg_updatedicts
DEFAULT_VER=$(shell debian/supported-versions | sort -r | head -n 1)

%:
	dh "$@"

override_dh_install:
	dh_install
	install -m 644 -D debian/postgresql-common.sysctl debian/postgresql-common/etc/sysctl.d/30-postgresql-shm.conf
	for p in $(POD1PROGS); do $(POD2MAN) --quotes=none --section 1 $$p > $$p.1 || exit 1; done
	for p in $(POD1PROGS_POD); do $(POD2MAN) --quotes=none --section 1 $$p.pod > $$p.1 || exit 1; done
	for p in $(POD8PROGS); do $(POD2MAN) --quotes=none --section 8 $$p > $$p.8 || exit 1; done

override_dh_installinit:
	dh_installinit --name=postgresql -u'defaults 19 21' -r

override_dh_gencontrol:
	dh_gencontrol -ppostgresql-server-dev-all -- -Vserver-dev-all-depends="$(shell for v in `debian/supported-versions`; do echo "postgresql-server-dev-$$v,"; done)"

	# the versionless metapackages need to have version numbers which match
	# the server version, not the p-common version
	dh_gencontrol -ppostgresql -ppostgresql-client -ppostgresql-doc -ppostgresql-contrib  -- \
		-Vdefault-version="$(DEFAULT_VER)" -v'$(DEFAULT_VER)+$${source:Version}'

	# will ship different conffiles for logrotate pre- and post-3.8
	if dpkg --compare-versions `apt-cache show logrotate | grep ^Version | head -n1 | cut -f2- -d' '` ge 3.8; then \
		dh_gencontrol -ppostgresql-common -- -Vlogrotate:version="(>= 3.8)"; \
	else \
		dh_gencontrol -ppostgresql-common -- -Vcommon-breaks="logrotate (>= 3.8)"; \
	fi

	dh_gencontrol --remaining-packages

override_dh_installlogrotate:
	dh_installlogrotate
	# logrotate 3.8+ requires an additional "su" command which is not
	# backportable, see #640493
	if dpkg --compare-versions `apt-cache show logrotate | grep ^Version | head -n1 | cut -f2- -d' '` ge 3.8; then \
		echo "Fixing logrotate configuration for logrotate >= 3.8..."; \
		sed -i '/^}/ i\       su root root' debian/postgresql-common/etc/logrotate.d/*; \
	fi

override_dh_clean:
	dh_clean
	for p in $(POD1PROGS) $(POD1PROGS_POD); do rm -f $$p.1 || exit 1; done
	for p in $(POD8PROGS); do rm -f $$p.8 || exit 1; done
