## postgresql-common 134wheezy4~bpo60+1

=== debian/changelog ===
postgresql-common (134wheezy4~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 18 Dec 2013 15:13:18 +0100

postgresql-common (134wheezy4) stable; urgency=low

  * debian/supported-versions: Use "7|7.*" to recognize wheezy; point releases
    now increment the second version number component. (Closes: #712586)

 -- Christoph Berg <myon@debian.org>  Tue, 27 Aug 2013 10:15:33 +0200

postgresql-common (134wheezy3~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Christoph Berg <myon@debian.org>  Fri, 02 Aug 2013 11:55:53 +0200

postgresql-common (134wheezy3) unstable; urgency=low

  [ Christoph Berg ]
  * pg_wrapper: Document that PGHOST overrides PGCLUSTER. (Closes: #697291)
  * pg_wrapper: Skip cluster selection if --host is given on the command line.
    (Closes: #637017) While we are at it, improve --port parsing, too.
  * t/010_defaultport_cluster.t: Add test cases for the above pg_wrapper
    changes.
  * postgresql-client-common: Add Depends: netbase for getprotobyname() in
    PgCommon.pm. (Closes: #697377)

  [ Martin Pitt ]
  * debian/README.Debian: Update versions to 8.4/9.1, as current for Squeeze
    and Wheezy. (Closes: #697239)

 -- Christoph Berg <myon@debian.org>  Wed, 09 Jan 2013 17:12:54 +0100

postgresql-common (134wheezy2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Christoph Berg <myon@debian.org>  Sat, 24 Nov 2012 18:53:39 +0100

postgresql-common (134wheezy2) unstable; urgency=low

  * debian/supported-versions: Add Debian 7.0 "wheezy" to support 9.1 only.
    This is not a functional change, but avoids the "Unknown Debian release"
    warning.
  * debian/postgresql-common.triggers: Also watch for changes in
    /usr/share/hunspell/; pg_updatedicts handles these as well. Cherry-picked
    from trunk r1217. (Closes: #689994)

 -- Martin Pitt <mpitt@debian.org>  Mon, 05 Nov 2012 08:15:34 +0100

postgresql-common (134wheezy1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Christoph Berg <myon@debian.org>  Mon, 15 Oct 2012 16:06:00 +0200

postgresql-common (134wheezy1) unstable; urgency=low

  * debian/control: Switch Vcs-Bzr: to wheezy branch.
  * pg_ctlcluster: Fix log output to stderr if the log file started out being
    empty. Cherry-picked from trunk r1204.
  * pg_buildext: Fix supported-versions not to die when the last version is
    not supported. Cherry-picked from trunk r1199.
  * debian/maintscripts-functions: Only try to remove the tsearch_data
    directory if it already exists. Thanks Peter Palfrader. Cherry-picked from
    trunk r1211. (Closes: #688105)
  * As debian/supported-versions is also used at build-time, add a
    build-dependency on lsb-release for lsb_release to be available. Also,
    print supported versions from debian/rules for easier debugging.
    Cherry-picked from trunk r1206/r1207.

 -- Martin Pitt <mpitt@debian.org>  Wed, 03 Oct 2012 22:30:36 +0200

postgresql-common (134~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Christoph Berg <myon@debian.org>  Tue, 02 Oct 2012 17:51:12 +0200

postgresql-common (130~bpo60+2) squeeze-backports; urgency=low

  * Set the list of supported versions for squeeze to 9.1 and 8.4, making 9.1
    the default version. This will make the various meta packages depend on
    9.1 on squeeze. Packages using pg_buildext will now build modules for
    versions 8.4 and 9.1, instead of only 8.4.

 -- Christoph Berg <myon@debian.org>  Thu, 31 May 2012 22:40:31 +0200

postgresql-common (130~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Christoph Berg <myon@debian.org>  Wed, 30 May 2012 18:23:53 +0200

postgresql-common (129~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Christoph Berg <myon@debian.org>  Wed, 21 Mar 2012 10:59:41 +0100

postgresql-common (128~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Christoph Berg <myon@debian.org>  Tue, 03 Jan 2012 10:39:22 +0100

postgresql-common (127~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Christoph Berg <myon@debian.org>  Thu, 22 Dec 2011 14:03:46 +0100

postgresql-common (124~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Gerfried Fuchs <rhonda@debian.org>  Tue, 11 Oct 2011 16:12:38 +0200

postgresql-common (122~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Gerfried Fuchs <rhonda@debian.org>  Tue, 27 Sep 2011 16:10:20 +0200

postgresql-common (118~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Gerfried Fuchs <rhonda@debian.org>  Wed, 29 Jun 2011 10:10:09 +0200

postgresql-common (114~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Gerfried Fuchs <rhonda@debian.org>  Thu, 24 Feb 2011 18:44:03 +0100
