## postgresql-common 134wheezy6

=== debian/changelog ===
postgresql-common (134wheezy6) wheezy-security; urgency=medium

  * pg_ctlcluster, pg_createcluster, pg_upgradecluster: Use lchown instead
    of chown to mitigate privilege escalation via symlinks. (CVE-2017-8806.
    Related to CVE-2017-12172 in PostgreSQL; extends our earlier fix for
    CVE-2016-1255).

 -- Christoph Berg <myon@debian.org>  Tue, 07 Nov 2017 20:54:52 +0100

postgresql-common (134wheezy5) wheezy-security; urgency=medium

  * pg_upgradecluster: Properly upgrade databases with non-login role owners.
    (Closes: #614374, #838812)
  * pg_ctlcluster, t/020_create_sql_remove.t: Protect against symlink in
    /var/log/postgresql/ allowing the creation of arbitrary files elsewhere.
    Discovered by Dawid Golunski, thanks! (CVE-2016-1255)
  * t/TestLib.pm: Cherry-pick program_ok() from master for use in
    t/020_create_sql_remove.t.

 -- Christoph Berg <myon@debian.org>  Sun, 01 Jan 2017 18:48:30 +0100
