=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>, Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
 Standards-Version: 3.9.3
-Vcs-Bzr: http://bzr.debian.org/bzr/pkg-postgresql/postgresql-common/trunk/
-Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-postgresql/postgresql-common/trunk
-Build-Depends: debhelper (>= 7.0.50~)
+Vcs-Bzr: http://bzr.debian.org/bzr/pkg-postgresql/postgresql-common/wheezy/
+Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-postgresql/postgresql-common/wheezy
+Build-Depends: debhelper (>= 7.0.50~),
+ lsb-release
 XS-Testsuite: autopkgtest
 
 Package: postgresql-common
@@ -20,6 +21,8 @@
  ssl-cert (>= 1.0.11),
  logrotate ${logrotate:version},
  ${misc:Depends}
+Breaks: postgresql-9.1 (<< 9.1.1-3~),
+ ${common-breaks}
 Description: PostgreSQL database-cluster manager
  The postgresql-common package provides a structure under which
  multiple versions of PostgreSQL may be installed and/or multiple
@@ -37,7 +40,8 @@
 
 Package: postgresql-client-common
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+ netbase
 Recommends: lsb-release, libreadline6
 Description: manager for multiple PostgreSQL client versions
  The postgresql-client-common package provides a structure under which
