## postgresql-common 136

=== debian/changelog ===
postgresql-common (136) experimental; urgency=low

  [ Martin Pitt ]
  * debian/backport-ppa: Do first upload with orig tarball, subsequent ones
    without.
  * debian/backport-ppa: Do not run lintian.
  * debian/backport-ppa: When building postgresql-9.1 for lucid, drop the
    library packages as they collide with the ones built from postgresql-9.2.
  * debian/backport-ppa: Build 9.2 for Quantal and Natty.
  * debian/supported-versions: Add Ubuntu 12.10.
  * t/030_errors.t: For the "fails on insufficient disk space test", move from
    setting up a loop device to a tmpfs in unshare -m. This is more robust for
    cleaning up after itself, and faster as well.
  * pg_ctlcluster: Fix log output to stderr if the log file started out being
    empty. Add test case to t/030_errors.t.
  * debian/maintscripts-functions: Only try to remove the tsearch_data
    directory  if it already exists. Thanks Peter Palfrader. (Closes: #688105)

  [ Christoph Berg ]
  * pg_buildext: Fix supported-versions not to die when the last version is
    not supported.
  * testsuite: Add getopt handling, and make the list of umasks to loop
    through configurable (-u).
  * t/001_packages.t: Print list of installed versions for information.
  * As debian/supported-versions is also used at build-time, add a
    build-dependency on lsb-release for lsb_release to be available. Also,
    print supported versions from debian/rules for easier debugging.

 -- Martin Pitt <mpitt@debian.org>  Thu, 20 Sep 2012 09:04:26 +0200

postgresql-common (135) experimental; urgency=low

  [ Martin Pitt ]
  * pg_createcluster: For 9.2 and higher, use the new ssl_{cert,key}_file
    options instead of creating symlinks in the data directory.
    (Closes: #680162)
  * pg_upgradecluster: Set above options to the old cluster's SSL cert/key
    symlink destinations, if they exist.
  * debian/maintscripts-functions: Configure alternatives for manpages in
    -contrib. This will only take effect after (re)installing
    postgresql-contrib-9.2. (Closes: #680571)
  * debian/postgresql-common.postgresql.init: Fix "status" output to be more
    useful and legible, and exit with code 3 if any cluster is down.
    (Closes: #656363)
  * debian/postgresql-common.postgresql.init: Show a warning message if no
    clusters exist. (Closes: #677604)
  * t/041_upgrade_custompaths.t: Run test with a cluster that is down, to
    verify that pg_upgradecluster works for non-running clusters, too.
  * pg_upgradecluster: Move encoding detection after restarting the cluster
    with restricted connections, and drop the check that the cluster is
    running. With this, pg_upgradecluster also works for clusters which are
    not running. (Closes: #681344)

  [ Peter Eisentraut ]
  * pg_createcluster: For PostgreSQL >= 9.2, use initdb options to set the
    default authentication methods, instead of modifying the configuration
    file directly. (Closes: #685043)

 -- Martin Pitt <mpitt@debian.org>  Fri, 17 Aug 2012 15:28:35 +0200
