=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>, Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
 Standards-Version: 3.9.3
-Vcs-Bzr: http://bzr.debian.org/bzr/pkg-postgresql/postgresql-common/wheezy/
-Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-postgresql/postgresql-common/wheezy
+Vcs-Bzr: http://bzr.debian.org/bzr/pkg-postgresql/postgresql-common/trunk/
+Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-postgresql/postgresql-common/trunk
 Build-Depends: debhelper (>= 7.0.50~),
  lsb-release
 XS-Testsuite: autopkgtest
@@ -40,8 +40,7 @@
 
 Package: postgresql-client-common
 Architecture: all
-Depends: ${misc:Depends},
- netbase
+Depends: ${misc:Depends}
 Recommends: lsb-release, libreadline6
 Description: manager for multiple PostgreSQL client versions
  The postgresql-client-common package provides a structure under which
