## postgresql-common 137.pgdg50+1~1353587801.bzr1228.24

=== debian/changelog ===
postgresql-common (137.pgdg50+1~1353587801.bzr1228.24) lenny-pgdg; urgency=low

  * Rebuild for lenny-pgdg (jenkins-postgresql-common-source-
    distribution=lenny-24, bzr revision 1228)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Thu, 22 Nov 2012 13:36:42 +0100

postgresql-common (137) UNRELEASED; urgency=low

  [ Martin Pitt ]
  * debian/backport-ppa: Disable xz compression for lucid.
  * debian/backport-ppa: Disable libraries for -9.1/natty as well, built by
    9.2 now.
  * debian/backport-ppa: Ensure that backport PPA versions are always smaller
    than the versions in -updates.
  * pg_wrapper: Always use the latest available client version of "psql"
    instead of the target cluster's. psql is backwards compatible to all major
    versions that we support in any release. Update tests to use "createdb"
    instead of "psql" for --version tests, and add a new test for the psql
    special case to t/020_create_sql_remove.t. (Closes: #639108)
  * debian/postgresql-common.triggers: Also watch for changes in
    /usr/share/hunspell/; pg_updatedicts handles these as well.
    (Closes: #689994)
  * debian/tests/control: Add netcat-openbsd test dependency for the
    next_free_port() tests added below.

  [ Christoph Berg ]
  * testsuite: Move 'disk full' tests from 030_errors to new file
    031_errors_disk_full, and skip tests when /usr/bin/unshare is missing.
    (Compatibility workaround for lenny.)
  * testsuite: Note that Test::More 0.87 is required for done_testing() in
    170_extensions.
  * testsuite 005_PgCommon: Add next_free_port tests (using /bin/nc).
  * supported-versions: Make output configurable via $PG_SUPPORTED_VERSIONS,
    ~/.pg_supported_versions, and /etc/postgresql-common/supported_versions.
    (Closes: #646700)
  * supported-versions: Add debian-backports and pgdg sections.
    (Closes: #650680)
  * For bpo and pgdg builds (determined by the version number), create
    /etc/postgresql-common/supported_versions with appropriate content.
  * Replace version string comparisions in perl scripts to use numerical
    operators, so things will continue to work when PostgreSQL 10.0 is
    released.
  * debian/rules: Use sort -n for sorting supported-versions output.
  * debian/rules: Use apt-cache policy instead of apt-cache show to determine
    the "candidate" logrotate version.
  * testsuite 020_create_sql_remove: Fix plperl test to work with 8.2.

 -- Christoph Berg <myon@debian.org>  Thu, 22 Nov 2012 13:15:33 +0100
