## postgresql-common 140

=== debian/changelog ===
postgresql-common (140) experimental; urgency=low

  [ Martin Pitt ]
  * t/001_packages.t: Also check that -contrib is installed.
  * debian/backport-ppa: Backport -common for Ubuntu 12.10.
  * PgCommon.pm: Recognize "include_if_exists" directive. (LP: #1098986)
  * pg_ctlcluster: Recreate a missing /var/log/postgresql/ if needed.
    (LP: #1009989)
  * debian/postgresql-client-common.links: Wrap pgbench with pg_wrapper.
    (LP: #1068194)

  [ Christoph Berg ]
  * testsuite: The default list of umasks to test (022 077) can be overridden
    by setting the environment variable PG_UMASKS.
  * t/003_package_checks.t: Ensure psql is linked against libedit.
  * t/005_PgCommon.t: Increase sleep time after netcat launch to 200ms.
  * t/020_create_sql_remove.t: Test process title update.
  * pg_createcluster: Allow passing of initdb arguments on the command line.
    If --auth parameters are passed, skip updating the generated pg_hba.conf
    file.
  * pg_virtualenv: Allow passing initdb arguments to pg_createcluster.
  * pg_upgradecluster: Print a helpful message when invoked on the target
    version. Problem seen on #postgresql.
  * t/030_errors.t: Adjust testsuite for this.
  * debian/supported-versions: Handle unset variables from /etc/os-release
    gracefully. Spotted by x4rlos on #postgresql.
  * pg_buildext: Set USE_PGXS=1, and srcdir (needed by plr).

 -- Christoph Berg <myon@debian.org>  Thu, 31 Jan 2013 10:36:41 +0100

postgresql-common (139) experimental; urgency=low

  [ Christoph Berg ]
  * pg_virtualenv: New program to create throw-away clusters for running
    regression tests.
  * testsuite: unshare needs "--" or else it eats our options.
  * testsuite: Require netcat-openbsd to be installed.
  * testsuite: Move locale generation here from debian/tests/system, also
    generate en_US.utf8 locale; unset LC_ALL.
  * Drop debian/tests, moved to the postgresql-* server packages.
  * testsute 005_PgCommon: Do the ipv4 tests before the ipv6 ones; skip
    the ipv6 for perl <= 5.10 (i.e. on squeeze and lucid).
  * PgCommon.pm, pg_ctlcluster, pg_createcluster, t/030_errors.t: 9.3 renames
    unix_socket_directory to unix_socket_directories.
  * pg_wrapper: Document that PGHOST overrides PGCLUSTER. (Closes: #697291)
  * pg_wrapper: Skip cluster selection if --host is given on the command line.
    (Closes: #637017) While we are at it, improve --port parsing, too.
  * t/010_defaultport_cluster.t: Add test cases for the above pg_wrapper
    changes.
  * t/040_upgrade.t: dup2 psql stderr to suppress warning 'could not change
    directory to "/tmp/pgtest'.
  * postgresql-client-common: Add Depends: netbase for getprotobyname() in
    PgCommon.pm. (Closes: #697377)

  [ Martin Pitt ]
  * debian/supported-versions: Read /etc/os-release if present, and fall back
    to lsb-release. Exit with a proper error message if neither is present.
    This gets rid of the (currently undeclared) strict dependency on
    lsb-release. (Closes: #697182)
  * debian/README.Debian: Update versions to 8.4/9.1, as current for Squeeze
    and Wheezy. (Closes: #697239)

 -- Christoph Berg <myon@debian.org>  Sun, 06 Jan 2013 10:24:49 +0100
