=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-postgresql/postgresql-common/trunk
 Build-Depends: debhelper (>= 7.0.50~),
  lsb-release
-XS-Testsuite: autopkgtest
 
 Package: postgresql-common
 Architecture: all
@@ -40,7 +39,8 @@
 
 Package: postgresql-client-common
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+ netbase
 Recommends: lsb-release, libreadline6
 Description: manager for multiple PostgreSQL client versions
  The postgresql-client-common package provides a structure under which
