## postgresql-common 140.mrtn60+1

=== debian/changelog ===
postgresql-common (140.mrtn60+1) squeeze; urgency=low

  * Maximum open files ulimit setting was added to the postgresql init.d script.

 -- Kirill Kouznetsov <kir@evl.ms>  Mon, 11 Feb 2013 12:47:50 +0400

postgresql-common (140.pgdg60+1) squeeze-pgdg; urgency=low

  * Rebuild for squeeze-pgdg (jenkins-postgresql-common-source-
    distribution=squeeze-45, bzr revision 1284)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Thu, 31 Jan 2013 10:40:30 +0100
